rp.var.put {rpanel} | R Documentation

## Places an object in the rpanel envrionment, usually within a panel.

### Description

The management of objects within the rpanel environment is usually handled ‘behind the scenes’ but it can occasionally be useful to place an object there explicitly.

### Usage

    rp.var.put(panelname, name, val, labels = NULL)

### Arguments

`panelname` | the panelname of the relevant panel. This is usually identified as `panel$panelname`. If this argument is set to `NULL` then the object is not placed inside a panel.
`name` | the name of the variable.
`val` | the contents of the variable as a numeric or character vector.
`labels` | labels for `var`.

### References

rpanel: Simple interactive controls for R functions using the tcltk package. Journal of Statistical Software, 17, issue 9.

### See Also

`rp.var.get`

[Package rpanel version 1.1-4 Index]